summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdrian Bunk <bunk@stusta.de>2019-08-25 20:21:15 +0300
committerRichard Purdie <richard.purdie@linuxfoundation.org>2019-08-29 14:05:12 +0100
commitbac4bc9aa6a1f2fcf2ce9644925615185cc8e847 (patch)
tree9ef8ba7038907331db8f6d1f57f2915b3b6cf410
parent1af3e4bea666e944a610025ca8979098b59b1174 (diff)
downloadpoky-bac4bc9aa6a1f2fcf2ce9644925615185cc8e847.tar.gz
Remove LSB support
LSB as a standard isn't current and isn't well suited to embedded anyway. Its putting artifical constraints on the system and with modern layer technology, would now be better off as its own layer. As such its time to split it out. The only part with some (marginal) usage is lsb_release, which is split from the lsb package into an own lsb-release package. (From OE-Core rev: fb064356af615d67d85b65942103bf943d84d290) Signed-off-by: Adrian Bunk <bunk@stusta.de> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rw-r--r--README.LSB29
-rw-r--r--meta/conf/distro/include/distro_alias.inc6
-rw-r--r--meta/conf/distro/include/maintainers.inc6
-rw-r--r--meta/lib/oeqa/manual/bsp-hw.json2
-rw-r--r--meta/lib/oeqa/manual/compliance-test.json32
-rw-r--r--meta/lib/oeqa/manual/toaster-managed-mode.json14
-rw-r--r--meta/recipes-core/packagegroups/packagegroup-self-hosted.bb2
-rw-r--r--meta/recipes-devtools/bootchart2/bootchart2_0.14.8.bb2
-rw-r--r--meta/recipes-extended/images/core-image-lsb-dev.bb7
-rw-r--r--meta/recipes-extended/images/core-image-lsb-sdk.bb12
-rw-r--r--meta/recipes-extended/images/core-image-lsb.bb14
-rw-r--r--meta/recipes-extended/lsb/lsb-release/0001-fix-lsb_release-to-work-with-busybox-head-and-find.patch (renamed from meta/recipes-extended/lsb/lsb/0001-fix-lsb_release-to-work-with-busybox-head-and-find.patch)0
-rw-r--r--meta/recipes-extended/lsb/lsb-release_1.4.bb37
-rwxr-xr-xmeta/recipes-extended/lsb/lsb/init-functions44
-rwxr-xr-xmeta/recipes-extended/lsb/lsb/lsb_killproc6
-rwxr-xr-xmeta/recipes-extended/lsb/lsb/lsb_log_message27
-rwxr-xr-xmeta/recipes-extended/lsb/lsb/lsb_pidofproc6
-rwxr-xr-xmeta/recipes-extended/lsb/lsb/lsb_start_daemon45
-rw-r--r--meta/recipes-extended/lsb/lsb_5.0.bb136
-rw-r--r--meta/recipes-extended/lsb/lsbinitscripts/0001-functions-avoid-exit-1-which-causes-init-scripts-to-.patch21
-rw-r--r--meta/recipes-extended/lsb/lsbinitscripts/functions.patch33
-rw-r--r--meta/recipes-extended/lsb/lsbinitscripts_9.79.bb31
-rw-r--r--meta/recipes-extended/lsb/lsbtest/LSB_Test.sh525
-rw-r--r--meta/recipes-extended/lsb/lsbtest/packages_list49
-rw-r--r--meta/recipes-extended/lsb/lsbtest/session176
-rw-r--r--meta/recipes-extended/lsb/lsbtest_1.0.bb49
-rw-r--r--meta/recipes-extended/packagegroups/packagegroup-core-lsb.bb240
-rw-r--r--meta/recipes.txt2
28 files changed, 50 insertions, 1503 deletions
diff --git a/README.LSB b/README.LSB
deleted file mode 100644
index fecbe548b7..0000000000
--- a/README.LSB
+++ /dev/null
@@ -1,29 +0,0 @@
1OE-Core aims to be able to provide basic LSB compatible images. There
2are some challenges for OE as LSB isn't always 100% relevant to its
3target embedded and IoT audiences.
4
5One challenge is that the LSB spec is no longer being actively
6developed [https://github.com/LinuxStandardBase/lsb] and has
7components which are end of life or significantly dated. OE
8therefore provides compatibility with the following caveats:
9
10* Qt4 is provided by the separate meta-qt4 layer. Its noted that Qt4
11 is end of life and this isn't something the core project regularly
12 tests any longer. Users are recommended to group together to support
13 maintenance of that layer. [http://git.yoctoproject.org/cgit/cgit.cgi/meta-qt4/]
14
15* GTK+ 2 is provided by meta-oe. It is noted that GTK+ 2 is end of life
16 and use of GTK+ 2 isn't recommended.
17
18* mailx has been dropped since its no longer being developed upstream
19 and there are better, more modern replacements such as s-nail
20 (http://sdaoden.eu/code.html) or mailutils (http://mailutils.org/).
21
22* A few perl modules that were required by LSB 4.x aren't provided:
23 libclass-isa, libenv, libdumpvalue, libfile-checktree,
24 libi18n-collate, libpod-plainer.
25
26* libpng 1.2 isn't provided; oe-core includes the latest release of libpng
27 instead.
28
29* pax (POSIX standard archive) tool is not provided.
diff --git a/meta/conf/distro/include/distro_alias.inc b/meta/conf/distro/include/distro_alias.inc
index ab6ebdb899..7ab3b12cd5 100644
--- a/meta/conf/distro/include/distro_alias.inc
+++ b/meta/conf/distro/include/distro_alias.inc
@@ -43,9 +43,6 @@ DISTRO_PN_ALIAS_pn-core-image-base = "OE-Core"
43DISTRO_PN_ALIAS_pn-core-image-clutter = "OE-Core" 43DISTRO_PN_ALIAS_pn-core-image-clutter = "OE-Core"
44DISTRO_PN_ALIAS_pn-core-image-full-cmdline = "OE-Core" 44DISTRO_PN_ALIAS_pn-core-image-full-cmdline = "OE-Core"
45DISTRO_PN_ALIAS_pn-core-image-kernel-dev = "OE-Core" 45DISTRO_PN_ALIAS_pn-core-image-kernel-dev = "OE-Core"
46DISTRO_PN_ALIAS_pn-core-image-lsb = "OE-Core"
47DISTRO_PN_ALIAS_pn-core-image-lsb-dev = "OE-Core"
48DISTRO_PN_ALIAS_pn-core-image-lsb-sdk = "OE-Core"
49DISTRO_PN_ALIAS_pn-core-image-minimal = "OE-Core" 46DISTRO_PN_ALIAS_pn-core-image-minimal = "OE-Core"
50DISTRO_PN_ALIAS_pn-core-image-minimal-dev = "OE-Core" 47DISTRO_PN_ALIAS_pn-core-image-minimal-dev = "OE-Core"
51DISTRO_PN_ALIAS_pn-core-image-minimal-initramfs = "OE-Core" 48DISTRO_PN_ALIAS_pn-core-image-minimal-initramfs = "OE-Core"
@@ -202,8 +199,6 @@ DISTRO_PN_ALIAS_pn-linux-libc-headers-yocto = "Debian=linux-kernel-headers Ubunt
202DISTRO_PN_ALIAS_pn-linux-yocto = "Debian=linux-base Ubuntu=linux" 199DISTRO_PN_ALIAS_pn-linux-yocto = "Debian=linux-base Ubuntu=linux"
203DISTRO_PN_ALIAS_pn-linux-yocto-rt = "Debian=linux-base Ubuntu=linux" 200DISTRO_PN_ALIAS_pn-linux-yocto-rt = "Debian=linux-base Ubuntu=linux"
204DISTRO_PN_ALIAS_pn-linux-yocto-tiny = "OSPDT" 201DISTRO_PN_ALIAS_pn-linux-yocto-tiny = "OSPDT"
205DISTRO_PN_ALIAS_pn-lsbinitscripts = "Windriver"
206DISTRO_PN_ALIAS_pn-lsbtest = "Windriver"
207DISTRO_PN_ALIAS_pn-ltp = "Mandriva=ltp Ubuntu=ltp" 202DISTRO_PN_ALIAS_pn-ltp = "Mandriva=ltp Ubuntu=ltp"
208DISTRO_PN_ALIAS_pn-lttng-modules = "OSPDT upstream=http://lttng.org/" 203DISTRO_PN_ALIAS_pn-lttng-modules = "OSPDT upstream=http://lttng.org/"
209DISTRO_PN_ALIAS_pn-lttng-tools = "OSPDT upstream=http://lttng.org/" 204DISTRO_PN_ALIAS_pn-lttng-tools = "OSPDT upstream=http://lttng.org/"
@@ -265,7 +260,6 @@ DISTRO_PN_ALIAS_pn-packagegroup-core-clutter = "OE-Core"
265DISTRO_PN_ALIAS_pn-packagegroup-core-device-devel = "OE-Core" 260DISTRO_PN_ALIAS_pn-packagegroup-core-device-devel = "OE-Core"
266DISTRO_PN_ALIAS_pn-packagegroup-core-eclipse-debug = "OE-Core" 261DISTRO_PN_ALIAS_pn-packagegroup-core-eclipse-debug = "OE-Core"
267DISTRO_PN_ALIAS_pn-packagegroup-core-full-cmdline = "OE-Core" 262DISTRO_PN_ALIAS_pn-packagegroup-core-full-cmdline = "OE-Core"
268DISTRO_PN_ALIAS_pn-packagegroup-core-lsb = "OE-Core"
269DISTRO_PN_ALIAS_pn-packagegroup-core-nfs = "OE-Core" 263DISTRO_PN_ALIAS_pn-packagegroup-core-nfs = "OE-Core"
270DISTRO_PN_ALIAS_pn-packagegroup-core-sdk = "OE-Core" 264DISTRO_PN_ALIAS_pn-packagegroup-core-sdk = "OE-Core"
271DISTRO_PN_ALIAS_pn-packagegroup-core-ssh-dropbear = "OE-Core" 265DISTRO_PN_ALIAS_pn-packagegroup-core-ssh-dropbear = "OE-Core"
diff --git a/meta/conf/distro/include/maintainers.inc b/meta/conf/distro/include/maintainers.inc
index 6a2308d13c..0757230b1a 100644
--- a/meta/conf/distro/include/maintainers.inc
+++ b/meta/conf/distro/include/maintainers.inc
@@ -114,8 +114,6 @@ RECIPE_MAINTAINER_pn-core-image-full-cmdline = "Richard Purdie <richard.purdie@l
114RECIPE_MAINTAINER_pn-core-image-kernel-dev = "Richard Purdie <richard.purdie@linuxfoundation.org>" 114RECIPE_MAINTAINER_pn-core-image-kernel-dev = "Richard Purdie <richard.purdie@linuxfoundation.org>"
115RECIPE_MAINTAINER_pn-core-image-sato = "Richard Purdie <richard.purdie@linuxfoundation.org>" 115RECIPE_MAINTAINER_pn-core-image-sato = "Richard Purdie <richard.purdie@linuxfoundation.org>"
116RECIPE_MAINTAINER_pn-core-image-sato-sdk = "Richard Purdie <richard.purdie@linuxfoundation.org>" 116RECIPE_MAINTAINER_pn-core-image-sato-sdk = "Richard Purdie <richard.purdie@linuxfoundation.org>"
117RECIPE_MAINTAINER_pn-core-image-lsb = "Richard Purdie <richard.purdie@linuxfoundation.org>"
118RECIPE_MAINTAINER_pn-core-image-lsb-sdk = "Richard Purdie <richard.purdie@linuxfoundation.org>"
119RECIPE_MAINTAINER_pn-core-image-testmaster-initramfs = "Richard Purdie <richard.purdie@linuxfoundation.org>" 117RECIPE_MAINTAINER_pn-core-image-testmaster-initramfs = "Richard Purdie <richard.purdie@linuxfoundation.org>"
120RECIPE_MAINTAINER_pn-core-image-testmaster = "Richard Purdie <richard.purdie@linuxfoundation.org>" 118RECIPE_MAINTAINER_pn-core-image-testmaster = "Richard Purdie <richard.purdie@linuxfoundation.org>"
121RECIPE_MAINTAINER_pn-core-image-clutter = "Richard Purdie <richard.purdie@linuxfoundation.org>" 119RECIPE_MAINTAINER_pn-core-image-clutter = "Richard Purdie <richard.purdie@linuxfoundation.org>"
@@ -455,9 +453,7 @@ RECIPE_MAINTAINER_pn-linux-yocto-tiny = "Bruce Ashfield <bruce.ashfield@gmail.co
455RECIPE_MAINTAINER_pn-llvm = "Khem Raj <raj.khem@gmail.com>" 453RECIPE_MAINTAINER_pn-llvm = "Khem Raj <raj.khem@gmail.com>"
456RECIPE_MAINTAINER_pn-logrotate = "Yi Zhao <yi.zhao@windriver.com>" 454RECIPE_MAINTAINER_pn-logrotate = "Yi Zhao <yi.zhao@windriver.com>"
457RECIPE_MAINTAINER_pn-lrzsz = "Anuj Mittal <anuj.mittal@intel.com>" 455RECIPE_MAINTAINER_pn-lrzsz = "Anuj Mittal <anuj.mittal@intel.com>"
458RECIPE_MAINTAINER_pn-lsb = "Hongxu Jia <hongxu.jia@windriver.com>" 456RECIPE_MAINTAINER_pn-lsb-release = "Hongxu Jia <hongxu.jia@windriver.com>"
459RECIPE_MAINTAINER_pn-lsbinitscripts = "Ross Burton <ross.burton@intel.com>"
460RECIPE_MAINTAINER_pn-lsbtest = "Yi Zhao <yi.zhao@windriver.com>"
461RECIPE_MAINTAINER_pn-lsof = "Ross Burton <ross.burton@intel.com>" 457RECIPE_MAINTAINER_pn-lsof = "Ross Burton <ross.burton@intel.com>"
462RECIPE_MAINTAINER_pn-ltp = "Yi Zhao <yi.zhao@windriver.com>" 458RECIPE_MAINTAINER_pn-ltp = "Yi Zhao <yi.zhao@windriver.com>"
463RECIPE_MAINTAINER_pn-lttng-modules = "Richard Purdie <richard.purdie@linuxfoundation.org>" 459RECIPE_MAINTAINER_pn-lttng-modules = "Richard Purdie <richard.purdie@linuxfoundation.org>"
diff --git a/meta/lib/oeqa/manual/bsp-hw.json b/meta/lib/oeqa/manual/bsp-hw.json
index 4b7c76f70f..18cec222fc 100644
--- a/meta/lib/oeqa/manual/bsp-hw.json
+++ b/meta/lib/oeqa/manual/bsp-hw.json
@@ -526,7 +526,7 @@
526 "expected_results": "" 526 "expected_results": ""
527 }, 527 },
528 "4": { 528 "4": {
529 "action": "check ping status \n\nNote: This TC apply only for core-image-full-cmd and core-image-lsb .", 529 "action": "check ping status \n\nNote: This TC apply only for core-image-full-cmd.",
530 "expected_results": "ping should always work before/after standby" 530 "expected_results": "ping should always work before/after standby"
531 } 531 }
532 }, 532 },
diff --git a/meta/lib/oeqa/manual/compliance-test.json b/meta/lib/oeqa/manual/compliance-test.json
index 8c13b68ec3..367a416f01 100644
--- a/meta/lib/oeqa/manual/compliance-test.json
+++ b/meta/lib/oeqa/manual/compliance-test.json
@@ -1,36 +1,6 @@
1[ 1[
2 { 2 {
3 "test": { 3 "test": {
4 "@alias": "compliance-test.compliance-test.LSB_subset_test_suite",
5 "author": [
6 {
7 "email": "corneliux.stoicescu@intel.com",
8 "name": "corneliux.stoicescu@intel.com"
9 }
10 ],
11 "execution": {
12 "1": {
13 "action": "Get lsd-sdk image and install it on target device or start the image(if it is QEMU) with option \"-m 512M\"",
14 "expected_results": ""
15 },
16 "2": {
17 "action": "Comment in /opt/lsb-test/session any tests you don't want to run.",
18 "expected_results": ""
19 },
20 "3": {
21 "action": "Run /usr/bin/LSB_Test.sh which should download the LSB suite and set it up. Some packages may fail to download because their location changed on ftp.linuxfoundation.org. You need to manually update /opt/lsb-test/packages_list",
22 "expected_results": ""
23 },
24 "4": {
25 "action": "Tests should start automatically, you can use the web interface to reconfigure the setup. ",
26 "expected_results": "Check the result on wiki https://wiki.yoctoproject.org/wiki/LSB_Result No regression failures should be met."
27 }
28 },
29 "summary": "LSB_subset_test_suite"
30 }
31 },
32 {
33 "test": {
34 "@alias": "compliance-test.compliance-test.stress_test_-_Genericx86-64", 4 "@alias": "compliance-test.compliance-test.stress_test_-_Genericx86-64",
35 "author": [ 5 "author": [
36 { 6 {
@@ -40,7 +10,7 @@
40 ], 10 ],
41 "execution": { 11 "execution": {
42 "1": { 12 "1": {
43 "action": "Bootup with core-image-lsb-sdk image", 13 "action": "Bootup with core-image-sato-sdk image",
44 "expected_results": "" 14 "expected_results": ""
45 }, 15 },
46 "2": { 16 "2": {
diff --git a/meta/lib/oeqa/manual/toaster-managed-mode.json b/meta/lib/oeqa/manual/toaster-managed-mode.json
index 812f57da34..12374c7c64 100644
--- a/meta/lib/oeqa/manual/toaster-managed-mode.json
+++ b/meta/lib/oeqa/manual/toaster-managed-mode.json
@@ -1494,7 +1494,7 @@
1494 "expected_results": "A type in form appears. \n\n\t" 1494 "expected_results": "A type in form appears. \n\n\t"
1495 }, 1495 },
1496 "6": { 1496 "6": {
1497 "action": "Change distro (ex: poky-lsb). \n\n\t", 1497 "action": "Change distro (ex: poky-tiny). \n\n\t",
1498 "expected_results": "Distro has changed. \n\n\t" 1498 "expected_results": "Distro has changed. \n\n\t"
1499 }, 1499 },
1500 "7": { 1500 "7": {
@@ -1503,7 +1503,7 @@
1503 }, 1503 },
1504 "8": { 1504 "8": {
1505 "action": " Build a recipe (ex: core-image-minimal) and wait until build finish.", 1505 "action": " Build a recipe (ex: core-image-minimal) and wait until build finish.",
1506 "expected_results": "Build finishes successfully. \n\nThe 'success' criteria for this one should be that the build is reported as using the poky-lsb distro in the build summary page, and that the DISTRO variable value in the bitbake variables table is set to the value specified in toaster (poky-lsb again)." 1506 "expected_results": "Build finishes successfully. \n\nThe 'success' criteria for this one should be that the build is reported as using the poky-tiny distro in the build summary page, and that the DISTRO variable value in the bitbake variables table is set to the value specified in toaster (poky-tiny again)."
1507 } 1507 }
1508 }, 1508 },
1509 "summary": "Build_a_recipe_with_different_distro" 1509 "summary": "Build_a_recipe_with_different_distro"
@@ -1612,7 +1612,7 @@
1612 "expected_results": "" 1612 "expected_results": ""
1613 }, 1613 },
1614 "3": { 1614 "3": {
1615 "action": "Check that the table is populated with the list of image recipes (eg. core-image minimal, core-image-lsb) \n\n\n", 1615 "action": "Check that the table is populated with the list of image recipes (eg. core-image minimal) \n\n\n",
1616 "expected_results": "" 1616 "expected_results": ""
1617 }, 1617 },
1618 "4": { 1618 "4": {
@@ -1670,7 +1670,7 @@
1670 "expected_results": "" 1670 "expected_results": ""
1671 }, 1671 },
1672 "7": { 1672 "7": {
1673 "action": "Sort the table by \"Layer\" and then navigate away by selecting an image (such as core-image-lsb). When you click the \"back\" button in the web-browser to go back, the \"New custom image\" table should still be sorted by \"Layer\". \nThis should apply also by navigating back to the page by any other means. \n\n", 1673 "action": "Sort the table by \"Layer\" and then navigate away by selecting an image. When you click the \"back\" button in the web-browser to go back, the \"New custom image\" table should still be sorted by \"Layer\". \nThis should apply also by navigating back to the page by any other means. \n\n",
1674 "expected_results": "" 1674 "expected_results": ""
1675 }, 1675 },
1676 "8": { 1676 "8": {
@@ -2348,7 +2348,7 @@
2348 "expected_results": "" 2348 "expected_results": ""
2349 }, 2349 },
2350 "3": { 2350 "3": {
2351 "action": "Build 6 recipes example (core-image-sato, core-image-minimal, core-image-base, core-image-lsb, core-image-clutter) to name a few. ", 2351 "action": "Build 6 recipes example (core-image-sato, core-image-minimal, core-image-base, core-image-clutter) to name a few. ",
2352 "expected_results": " All recipes are built correctly \n\n" 2352 "expected_results": " All recipes are built correctly \n\n"
2353 }, 2353 },
2354 "4": { 2354 "4": {
@@ -2382,7 +2382,7 @@
2382 "expected_results": "" 2382 "expected_results": ""
2383 }, 2383 },
2384 "3": { 2384 "3": {
2385 "action": "Build 6 recipes example (core-image-sato, core-image-minimal, core-image-base, core-image-lsb, core-image-clutter) to name a few. \n\n", 2385 "action": "Build 6 recipes example (core-image-sato, core-image-minimal, core-image-base, core-image-clutter) to name a few. \n\n",
2386 "expected_results": "All recipes are built correctly \n\n" 2386 "expected_results": "All recipes are built correctly \n\n"
2387 }, 2387 },
2388 "4": { 2388 "4": {
@@ -2420,7 +2420,7 @@
2420 "expected_results": "" 2420 "expected_results": ""
2421 }, 2421 },
2422 "3": { 2422 "3": {
2423 "action": "Build 4 recipes example (core-image-sato, core-image-minimal, core-image-base, core-image-lsb, core-image-clutter) to name a few. \n\n", 2423 "action": "Build 4 recipes example (core-image-sato, core-image-minimal, core-image-base, core-image-clutter) to name a few. \n\n",
2424 "expected_results": " All recipes are built correctly \n\n" 2424 "expected_results": " All recipes are built correctly \n\n"
2425 }, 2425 },
2426 "4": { 2426 "4": {
diff --git a/meta/recipes-core/packagegroups/packagegroup-self-hosted.bb b/meta/recipes-core/packagegroups/packagegroup-self-hosted.bb
index f206cee373..9b0ae0d1c2 100644
--- a/meta/recipes-core/packagegroups/packagegroup-self-hosted.bb
+++ b/meta/recipes-core/packagegroups/packagegroup-self-hosted.bb
@@ -37,7 +37,7 @@ RDEPENDS_packagegroup-self-hosted-host-tools = "\
37 e2fsprogs-tune2fs \ 37 e2fsprogs-tune2fs \
38 hdparm \ 38 hdparm \
39 iptables \ 39 iptables \
40 lsb \ 40 lsb-release \
41 mc \ 41 mc \
42 mc-fish \ 42 mc-fish \
43 mc-helpers \ 43 mc-helpers \
diff --git a/meta/recipes-devtools/bootchart2/bootchart2_0.14.8.bb b/meta/recipes-devtools/bootchart2/bootchart2_0.14.8.bb
index 396d0ec0a1..f9a98d4509 100644
--- a/meta/recipes-devtools/bootchart2/bootchart2_0.14.8.bb
+++ b/meta/recipes-devtools/bootchart2/bootchart2_0.14.8.bb
@@ -141,7 +141,7 @@ PACKAGES =+ "pybootchartgui"
141FILES_pybootchartgui += "${PYTHON_SITEPACKAGES_DIR}/pybootchartgui ${bindir}/pybootchartgui" 141FILES_pybootchartgui += "${PYTHON_SITEPACKAGES_DIR}/pybootchartgui ${bindir}/pybootchartgui"
142RDEPENDS_pybootchartgui = "python3-pycairo python3-compression python3-image python3-shell python3-compression python3-codecs" 142RDEPENDS_pybootchartgui = "python3-pycairo python3-compression python3-image python3-shell python3-compression python3-codecs"
143RDEPENDS_${PN}_class-target += "${@bb.utils.contains('DISTRO_FEATURES', 'sysvinit', 'sysvinit-pidof', 'procps', d)}" 143RDEPENDS_${PN}_class-target += "${@bb.utils.contains('DISTRO_FEATURES', 'sysvinit', 'sysvinit-pidof', 'procps', d)}"
144RDEPENDS_${PN}_class-target += "lsb" 144RDEPENDS_${PN}_class-target += "lsb-release"
145DEPENDS_append_class-native = " python3-pycairo-native" 145DEPENDS_append_class-native = " python3-pycairo-native"
146 146
147PACKAGES =+ "bootchartd-stop-initscript" 147PACKAGES =+ "bootchartd-stop-initscript"
diff --git a/meta/recipes-extended/images/core-image-lsb-dev.bb b/meta/recipes-extended/images/core-image-lsb-dev.bb
deleted file mode 100644
index d2dc9e2b53..0000000000
--- a/meta/recipes-extended/images/core-image-lsb-dev.bb
+++ /dev/null
@@ -1,7 +0,0 @@
1require core-image-lsb.bb
2
3DESCRIPTION = "Basic image without X support suitable for development work. It \
4can be used for customization and implementations that conform to Linux \
5Standard Base (LSB)."
6
7IMAGE_FEATURES += "dev-pkgs"
diff --git a/meta/recipes-extended/images/core-image-lsb-sdk.bb b/meta/recipes-extended/images/core-image-lsb-sdk.bb
deleted file mode 100644
index a3d602edd6..0000000000
--- a/meta/recipes-extended/images/core-image-lsb-sdk.bb
+++ /dev/null
@@ -1,12 +0,0 @@
1require core-image-lsb.bb
2
3DESCRIPTION = "Basic image without X support suitable for Linux Standard Base \
4(LSB) implementations. It includes the full meta-toolchain, plus development \
5headers and libraries to form a standalone SDK."
6
7IMAGE_FEATURES += "tools-sdk dev-pkgs tools-debug eclipse-debug tools-profile tools-testapps debug-tweaks"
8
9IMAGE_INSTALL += "kernel-devsrc"
10
11# Reduce this to try and keep below the 4GB image size for now
12IMAGE_OVERHEAD_FACTOR = "1.2"
diff --git a/meta/recipes-extended/images/core-image-lsb.bb b/meta/recipes-extended/images/core-image-lsb.bb
deleted file mode 100644
index ab61c6e6df..0000000000
--- a/meta/recipes-extended/images/core-image-lsb.bb
+++ /dev/null
@@ -1,14 +0,0 @@
1DESCRIPTION = "An image containing packages that are required to conform \
2to the Linux Standard Base (LSB) specification."
3
4IMAGE_FEATURES += "splash ssh-server-openssh hwcodecs package-management"
5
6IMAGE_INSTALL = "\
7 ${CORE_IMAGE_BASE_INSTALL} \
8 packagegroup-core-full-cmdline \
9 packagegroup-core-lsb \
10 "
11
12inherit core-image distro_features_check
13
14REQUIRED_DISTRO_FEATURES = "pam"
diff --git a/meta/recipes-extended/lsb/lsb/0001-fix-lsb_release-to-work-with-busybox-head-and-find.patch b/meta/recipes-extended/lsb/lsb-release/0001-fix-lsb_release-to-work-with-busybox-head-and-find.patch
index 0175752067..0175752067 100644
--- a/meta/recipes-extended/lsb/lsb/0001-fix-lsb_release-to-work-with-busybox-head-and-find.patch
+++ b/meta/recipes-extended/lsb/lsb-release/0001-fix-lsb_release-to-work-with-busybox-head-and-find.patch
diff --git a/meta/recipes-extended/lsb/lsb-release_1.4.bb b/meta/recipes-extended/lsb/lsb-release_1.4.bb
new file mode 100644
index 0000000000..4d8b3d3d3c
--- /dev/null
+++ b/meta/recipes-extended/lsb/lsb-release_1.4.bb
@@ -0,0 +1,37 @@
1SUMMARY = "lsb_release support for OpenEmbedded"
2SECTION = "console/utils"
3HOMEPAGE = "http://prdownloads.sourceforge.net/lsb"
4LICENSE = "GPLv2+"
5
6# lsb_release needs getopt
7RDEPENDS_${PN} += "${VIRTUAL-RUNTIME_getopt}"
8
9LIC_FILES_CHKSUM = "file://README;md5=12da544b1a3a5a1795a21160b49471cf"
10
11SRC_URI = "${SOURCEFORGE_MIRROR}/project/lsb/lsb_release/1.4/lsb-release-1.4.tar.gz \
12 file://0001-fix-lsb_release-to-work-with-busybox-head-and-find.patch \
13 "
14UPSTREAM_VERSION_UNKNOWN = "1"
15
16SRC_URI[md5sum] = "30537ef5a01e0ca94b7b8eb6a36bb1e4"
17SRC_URI[sha256sum] = "99321288f8d62e7a1d485b7c6bdccf06766fb8ca603c6195806e4457fdf17172"
18
19UPSTREAM_CHECK_URI = "http://sourceforge.net/projects/lsb/files/lsb_release/"
20UPSTREAM_CHECK_REGEX = "/lsb_release/(?P<pver>(\d+[\.\-_]*)+)/"
21
22CLEANBROKEN = "1"
23
24do_install() {
25 oe_runmake install prefix=${D}${root_prefix} mandir=${D}${datadir}/man/ DESTDIR=${D}
26
27 mkdir -p ${D}${sysconfdir}/lsb-release.d
28
29 echo "DISTRIB_ID=${DISTRO}" >> ${D}${sysconfdir}/lsb-release
30 echo "DISTRIB_RELEASE=${DISTRO_VERSION}" >> ${D}${sysconfdir}/lsb-release
31 if [ -n "${DISTRO_CODENAME}" ]; then
32 echo "DISTRIB_CODENAME=${DISTRO_CODENAME}" >> ${D}${sysconfdir}/lsb-release
33 fi
34 echo "DISTRIB_DESCRIPTION=\"${DISTRO_NAME} ${DISTRO_VERSION}\"" >> ${D}${sysconfdir}/lsb-release
35}
36
37FILES_${PN} += "${base_libdir}"
diff --git a/meta/recipes-extended/lsb/lsb/init-functions b/meta/recipes-extended/lsb/lsb/init-functions
deleted file mode 100755
index 7c1dce24cf..0000000000
--- a/meta/recipes-extended/lsb/lsb/init-functions
+++ /dev/null
@@ -1,44 +0,0 @@
1#!/bin/sh
2
3# LSB initscript functions, as defined in the LSB Spec 1.1.0
4#
5# Lawrence Lim <llim@core.com> - Tue, 26 June 2007
6# Updated to the latest LSB 3.1 spec
7# http://refspecs.freestandards.org/LSB_3.1.0/LSB-Core-generic/LSB-Core-generic_lines.txt
8
9start_daemon () {
10 /etc/core-lsb/lsb_start_daemon "$@"
11}
12
13killproc () {
14 /etc/core-lsb/lsb_killproc "$@"
15}
16
17pidofproc () {
18 /etc/core-lsb/lsb_pidofproc "$@"
19}
20
21log_success_msg () {
22 /etc/core-lsb/lsb_log_message success "$@"
23}
24
25log_failure_msg () {
26 /etc/core-lsb/lsb_log_message failure "$@"
27}
28
29log_warning_msg () {
30 /etc/core-lsb/lsb_log_message warning "$@"
31}
32
33# int log_begin_message (char *message)
34log_begin_msg () {
35 if [ -z "$1" ]; then
36 return 1
37 fi
38 echo " * $@"
39}
40
41
42log_end_msg () {
43 /etc/core-lsb/lsb_log_message end "$@"
44}
diff --git a/meta/recipes-extended/lsb/lsb/lsb_killproc b/meta/recipes-extended/lsb/lsb/lsb_killproc
deleted file mode 100755
index 866c1a9c63..0000000000
--- a/meta/recipes-extended/lsb/lsb/lsb_killproc
+++ /dev/null
@@ -1,6 +0,0 @@
1#!/bin/sh
2
3. /etc/init.d/functions
4
5LSB=LSB-1.1 killproc $*
6exit $?
diff --git a/meta/recipes-extended/lsb/lsb/lsb_log_message b/meta/recipes-extended/lsb/lsb/lsb_log_message
deleted file mode 100755
index 10343b0819..0000000000
--- a/meta/recipes-extended/lsb/lsb/lsb_log_message
+++ /dev/null
@@ -1,27 +0,0 @@
1#!/bin/sh
2
3. /etc/init.d/functions
4
5ACTION=$1
6shift
7
8case "$ACTION" in
9 success)
10 echo -n $*
11 success "$*"
12 echo
13 ;;
14 failure)
15 echo -n $*
16 failure "$*"
17 echo
18 ;;
19 warning)
20 echo -n $*
21 warning "$*"
22 echo
23 ;;
24 *)
25 ;;
26esac
27exit 0
diff --git a/meta/recipes-extended/lsb/lsb/lsb_pidofproc b/meta/recipes-extended/lsb/lsb/lsb_pidofproc
deleted file mode 100755
index 6d1fd0f249..0000000000
--- a/meta/recipes-extended/lsb/lsb/lsb_pidofproc
+++ /dev/null
@@ -1,6 +0,0 @@
1#!/bin/sh
2
3. /etc/init.d/functions
4
5pidofproc $*
6exit $?
diff --git a/meta/recipes-extended/lsb/lsb/lsb_start_daemon b/meta/recipes-extended/lsb/lsb/lsb_start_daemon
deleted file mode 100755
index de62c2344d..0000000000
--- a/meta/recipes-extended/lsb/lsb/lsb_start_daemon
+++ /dev/null
@@ -1,45 +0,0 @@
1#!/bin/sh
2
3. /etc/init.d/functions
4
5nice=
6force=
7pidfile=
8user=
9check=
10RETVAL=
11while [ "$1" != "${1##[-+]}" ]; do
12 case $1 in
13 -f)
14 force="--force"
15 shift
16 ;;
17 -n)
18 nice=$2
19 shift 2
20 ;;
21 -p)
22 pidfile="--pidfile $2"
23 shift 2
24 ;;
25 -u)
26 user="--user $2"
27 shift 2
28 ;;
29 -c)
30 check="--check $2"
31 shift 2
32 ;;
33 *)
34 echo "Unknown Option $1"
35 echo "Options are:"
36 echo "-f"
37 echo "-p {pidfile}"
38 echo "-n [+/-nicelevel]"
39 echo "-u {user}"
40 echo "-c {base}"
41 exit 1;;
42 esac
43done
44LSB=LSB-1.1 daemon ${force:-} ${nice:-} ${pidfile:-} ${user:-} ${check:-} $*
45exit $?
diff --git a/meta/recipes-extended/lsb/lsb_5.0.bb b/meta/recipes-extended/lsb/lsb_5.0.bb
deleted file mode 100644
index d1de334008..0000000000
--- a/meta/recipes-extended/lsb/lsb_5.0.bb
+++ /dev/null
@@ -1,136 +0,0 @@
1SUMMARY = "LSB support for OpenEmbedded"
2SECTION = "console/utils"
3HOMEPAGE = "http://prdownloads.sourceforge.net/lsb"
4LICENSE = "GPLv2+"
5
6LSB_CORE = "lsb-core-${TARGET_ARCH}"
7LSB_CORE_x86 = "lsb-core-ia32"
8LSB_CORE_x86-64 = "lsb-core-amd64"
9RPROVIDES_${PN} += "${LSB_CORE}"
10
11# lsb_release needs getopt, lsbinitscripts
12RDEPENDS_${PN} += "${VIRTUAL-RUNTIME_getopt} lsbinitscripts"
13
14LIC_FILES_CHKSUM = "file://README;md5=12da544b1a3a5a1795a21160b49471cf"
15
16SRC_URI = "${SOURCEFORGE_MIRROR}/project/lsb/lsb_release/1.4/lsb-release-1.4.tar.gz \
17 file://0001-fix-lsb_release-to-work-with-busybox-head-and-find.patch \
18 file://init-functions \
19 file://lsb_killproc \
20 file://lsb_log_message \
21 file://lsb_pidofproc \
22 file://lsb_start_daemon \
23 "
24UPSTREAM_VERSION_UNKNOWN = "1"
25
26SRC_URI[md5sum] = "30537ef5a01e0ca94b7b8eb6a36bb1e4"
27SRC_URI[sha256sum] = "99321288f8d62e7a1d485b7c6bdccf06766fb8ca603c6195806e4457fdf17172"
28
29UPSTREAM_CHECK_URI = "http://sourceforge.net/projects/lsb/files/lsb_release/"
30UPSTREAM_CHECK_REGEX = "/lsb_release/(?P<pver>(\d+[\.\-_]*)+)/"
31
32S = "${WORKDIR}/lsb-release-1.4"
33
34CLEANBROKEN = "1"
35
36do_install() {
37 oe_runmake install prefix=${D}${root_prefix} mandir=${D}${datadir}/man/ DESTDIR=${D}
38
39 # these two dirs are needed by package lsb-dist-checker
40 mkdir -p ${D}${sysconfdir}/opt
41 mkdir -p ${D}${localstatedir}/opt
42
43 mkdir -p ${D}${base_libdir}
44 mkdir -p ${D}${sysconfdir}/lsb-release.d
45 printf "LSB_VERSION=\"core-5.0-noarch:" > ${D}${sysconfdir}/lsb-release
46
47 if [ "${TARGET_ARCH}" = "i586" ] || [ "${TARGET_ARCH}" = "i686" ]; then
48 printf "core-5.0-ia32" >> ${D}${sysconfdir}/lsb-release
49 else
50 printf "core-5.0-${TARGET_ARCH}" >> ${D}${sysconfdir}/lsb-release
51 fi
52 echo "\"" >> ${D}${sysconfdir}/lsb-release
53 echo "DISTRIB_ID=${DISTRO}" >> ${D}${sysconfdir}/lsb-release
54 echo "DISTRIB_RELEASE=${DISTRO_VERSION}" >> ${D}${sysconfdir}/lsb-release
55 if [ -n "${DISTRO_CODENAME}" ]; then
56 echo "DISTRIB_CODENAME=${DISTRO_CODENAME}" >> ${D}${sysconfdir}/lsb-release
57 fi
58 echo "DISTRIB_DESCRIPTION=\"${DISTRO_NAME} ${DISTRO_VERSION}\"" >> ${D}${sysconfdir}/lsb-release
59
60 if [ "${TARGET_ARCH}" = "i586" ] || [ "${TARGET_ARCH}" = "i686" ]; then
61 mkdir -p ${D}${sysconfdir}/lsb-release.d
62 touch ${D}${sysconfdir}/lsb-release.d/graphics-${PV}-noarch
63 touch ${D}${sysconfdir}/lsb-release.d/desktop-${PV}-noarch
64 touch ${D}${sysconfdir}/lsb-release.d/graphics-${PV}-ia32
65 touch ${D}${sysconfdir}/lsb-release.d/desktop-${PV}-ia32
66 elif [ "${TARGET_ARCH}" = "x86_64" ]; then
67 touch ${D}${sysconfdir}/lsb-release.d/graphics-${PV}-noarch
68 touch ${D}${sysconfdir}/lsb-release.d/graphics-${PV}-amd64
69 touch ${D}${sysconfdir}/lsb-release.d/desktop-${PV}-amd64
70 fi
71 if [ "${TARGET_ARCH}" = "powerpc" ]; then
72 touch ${D}${sysconfdir}/lsb-release.d/graphics-${PV}-noarch
73 touch ${D}${sysconfdir}/lsb-release.d/graphics-${PV}-ppc32
74 touch ${D}${sysconfdir}/lsb-release.d/desktop-${PV}-ppc32
75 elif [ "${TARGET_ARCH}" = "powerpc64" ]; then
76 touch ${D}${sysconfdir}/lsb-release.d/graphics-${PV}-noarch
77 touch ${D}${sysconfdir}/lsb-release.d/graphics-${PV}-ppc64
78 touch ${D}${sysconfdir}/lsb-release.d/desktop-${PV}-ppc64
79 fi
80}
81
82do_install_append() {
83 install -d ${D}${sysconfdir}/core-lsb
84 for i in lsb_killproc lsb_log_message lsb_pidofproc lsb_start_daemon
85 do
86 install -m 0755 ${WORKDIR}/$i ${D}${sysconfdir}/core-lsb
87 done
88
89 install -d ${D}${nonarch_base_libdir}/lsb
90 install -m 0755 ${WORKDIR}/init-functions ${D}${nonarch_base_libdir}/lsb
91
92 # create links for LSB test
93 if [ -e ${sbindir}/chkconfig ]; then
94 if [ "${nonarch_base_libdir}" != "${nonarch_libdir}" ] ; then
95 install -d ${D}${nonarch_libdir}/lsb
96 fi
97 ln -sf ${sbindir}/chkconfig ${D}${nonarch_libdir}/lsb/install_initd
98 ln -sf ${sbindir}/chkconfig ${D}${nonarch_libdir}/lsb/remove_initd
99 fi
100
101 if [ "${TARGET_ARCH}" = "x86_64" ]; then
102 # don't symlink if usrmerge is in DISTRO_FEATURES as it manages the symlink
103 if ${@bb.utils.contains('DISTRO_FEATURES','usrmerge','false','true',d)} && \
104 [ "${base_libdir}" != "${base_prefix}/lib64" ]; then
105 lnr ${D}${base_libdir} ${D}${base_prefix}/lib64
106 fi
107 cd ${D}${base_libdir}
108 ln -sf ld-linux-x86-64.so.2 ld-lsb-x86-64.so.2
109 ln -sf ld-linux-x86-64.so.2 ld-lsb-x86-64.so.3
110 fi
111 if [ "${TARGET_ARCH}" = "i586" ] || [ "${TARGET_ARCH}" = "i686" ]; then
112 cd ${D}${base_libdir}
113 ln -sf ld-linux.so.2 ld-lsb.so.2
114 ln -sf ld-linux.so.2 ld-lsb.so.3
115 fi
116
117 if [ "${TARGET_ARCH}" = "powerpc64" ]; then
118 if [ "${base_libdir}" != "${base_prefix}/lib64" ]; then
119 lnr ${D}${base_libdir} ${D}${base_prefix}/lib64
120 fi
121 cd ${D}${base_libdir}
122 ln -sf ld64.so.1 ld-lsb-ppc64.so.2
123 ln -sf ld64.so.1 ld-lsb-ppc64.so.3
124 fi
125 if [ "${TARGET_ARCH}" = "powerpc" ]; then
126 cd ${D}${base_libdir}
127 ln -sf ld.so.1 ld-lsb-ppc32.so.2
128 ln -sf ld.so.1 ld-lsb-ppc32.so.3
129 fi
130}
131
132FILES_${PN} += "${@'${base_prefix}/lib64' if d.getVar('TARGET_ARCH') == ('x86_64' or 'powerpc64') and '${base_libdir}' != '${base_prefix}/lib64' else ''} \
133 ${base_libdir} \
134 ${nonarch_libdir}/lsb \
135 ${nonarch_base_libdir}/lsb/* \
136 "
diff --git a/meta/recipes-extended/lsb/lsbinitscripts/0001-functions-avoid-exit-1-which-causes-init-scripts-to-.patch b/meta/recipes-extended/lsb/lsbinitscripts/0001-functions-avoid-exit-1-which-causes-init-scripts-to-.patch
deleted file mode 100644
index c0076453f2..0000000000
--- a/meta/recipes-extended/lsb/lsbinitscripts/0001-functions-avoid-exit-1-which-causes-init-scripts-to-.patch
+++ /dev/null
@@ -1,21 +0,0 @@
1Upstream-Status: Pending
2
3Subject: functions: avoid exit 1 which causes init scripts to fail
4
5Signed-off-by: Chen Qi <Qi.Chen@windriver.com>
6---
7 rc.d/init.d/functions | 2 +-
8 1 file changed, 1 insertion(+), 1 deletion(-)
9
10Index: initscripts-9.72/rc.d/init.d/functions
11===================================================================
12--- initscripts-9.72.orig/rc.d/init.d/functions
13+++ initscripts-9.72/rc.d/init.d/functions
14@@ -686,6 +686,6 @@ if [ "$_use_systemctl" = "1" ]; then
15 fi
16 fi
17
18-strstr "$(cat /proc/cmdline)" "rc.debug" && set -x
19+strstr "$(cat /proc/cmdline)" "rc.debug" && set -x || true
20 return 0
21
diff --git a/meta/recipes-extended/lsb/lsbinitscripts/functions.patch b/meta/recipes-extended/lsb/lsbinitscripts/functions.patch
deleted file mode 100644
index e912daa701..0000000000
--- a/meta/recipes-extended/lsb/lsbinitscripts/functions.patch
+++ /dev/null
@@ -1,33 +0,0 @@
1From e46b056282c8420f096d5c34d78c00f816788784 Mon Sep 17 00:00:00 2001
2From: Fan Xin <fan.xin@jp.fujitsu.com>
3Date: Mon, 5 Jun 2017 16:26:47 +0900
4Subject: [PATCH 1/2] Upstream-Status: Inappropriate [configuration]
5
6Signed-off-by: Xiaofeng Yan <xiaofeng.yan@windriver.com>
7Signed-off-by: Saul Wold <sgw@linux.intel.com>
8
9Rebase on 9.72
10
11Signed-off-by: Fan Xin <fan.xin@jp.fujitsu.com>
12Upstream-Status: Pending
13
14---
15 rc.d/init.d/functions | 2 +-
16 1 file changed, 1 insertion(+), 1 deletion(-)
17
18diff --git a/rc.d/init.d/functions b/rc.d/init.d/functions
19index 2e3da964..1a204dec 100644
20--- a/rc.d/init.d/functions
21+++ b/rc.d/init.d/functions
22@@ -59,7 +59,7 @@ systemctl_redirect () {
23 [ -z "${COLUMNS:-}" ] && COLUMNS=80
24
25 if [ -z "${CONSOLETYPE:-}" ]; then
26- if [ -c "/dev/stderr" ] && [ -r "/dev/stderr" ]; then
27+ if [ -c "/dev/stderr" ] && [ -r "/dev/stderr" ] && [ -e /sbin/consoletype ]; then
28 CONSOLETYPE="$(/sbin/consoletype < /dev/stderr 2>/dev/null)"
29 else
30 CONSOLETYPE="serial"
31--
322.15.1
33
diff --git a/meta/recipes-extended/lsb/lsbinitscripts_9.79.bb b/meta/recipes-extended/lsb/lsbinitscripts_9.79.bb
deleted file mode 100644
index 6d3fcf13dd..0000000000
--- a/meta/recipes-extended/lsb/lsbinitscripts_9.79.bb
+++ /dev/null
@@ -1,31 +0,0 @@
1SUMMARY = "SysV init scripts which are only used in an LSB image"
2HOMEPAGE = "https://wiki.debian.org/LSBInitScripts"
3SECTION = "base"
4LICENSE = "GPLv2"
5
6RPROVIDES_${PN} += "initd-functions"
7RDEPENDS_${PN} += "util-linux"
8RCONFLICTS_${PN} = "initscripts-functions"
9
10LIC_FILES_CHKSUM = "file://COPYING;md5=ebf4e8b49780ab187d51bd26aaa022c6"
11
12S = "${WORKDIR}/git"
13SRC_URI = "git://github.com/fedora-sysv/initscripts \
14 file://functions.patch \
15 file://0001-functions-avoid-exit-1-which-causes-init-scripts-to-.patch \
16 "
17SRCREV = "a51c1b4f7dcf55b568b2ee4c2b18078849943469"
18UPSTREAM_CHECK_GITTAGREGEX = "^(?P<pver>\d+(\.\d+)+)"
19
20SRC_URI[md5sum] = "d6c798f40dceb117e12126d94cb25a9a"
21SRC_URI[sha256sum] = "1793677bdd1f7ee4cb00878ce43346196374f848a4c8e4559e086040fc7487db"
22
23# Since we are only taking the patched version of functions, no need to
24# configure or compile anything so do not execute these
25do_configure[noexec] = "1"
26do_compile[noexec] = "1"
27
28do_install(){
29 install -d ${D}${sysconfdir}/init.d/
30 install -m 0644 ${S}/rc.d/init.d/functions ${D}${sysconfdir}/init.d/functions
31}
diff --git a/meta/recipes-extended/lsb/lsbtest/LSB_Test.sh b/meta/recipes-extended/lsb/lsbtest/LSB_Test.sh
deleted file mode 100644
index 073e247a58..0000000000
--- a/meta/recipes-extended/lsb/lsbtest/LSB_Test.sh
+++ /dev/null
@@ -1,525 +0,0 @@
1#!/bin/sh
2
3# Copyright (C) 2012 Wind River Systems, Inc.
4#
5# This program is free software; you can redistribute it and/or modify
6# it under the terms of the GNU General Public License version 2 as
7# published by the Free Software Foundation.
8#
9# This program is distributed in the hope that it will be useful,
10# but WITHOUT ANY WARRANTY; without even the implied warranty of
11# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
12# See the GNU General Public License for more details.
13#
14# You should have received a copy of the GNU General Public License
15# along with this program; if not, write to the Free Software
16# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
17
18
19WORK_DIR="/opt/lsb-test"
20
21if [ `id -u` -ne 0 ]
22then
23 cat << EOF
24 In order to install and run LSB testsuite, you need administrator privileges.
25 You are currently running this script as an unprivileged user.
26
27EOF
28 exit 1
29fi
30
31ARCH=`uname -m`
32if [ ${ARCH} != "i686" ] && [ ${ARCH} != "x86_64" ] && [ ${ARCH} != "ppc" ] && [ ${ARCH} != "ppc64" ]
33then
34 echo "Error: Unsupported architecture"
35 exit 1
36fi
37
38which rpm
39if [ $? -ne 0 ]
40then
41 echo "No rpm command found"
42 exit 1
43fi
44
45RET=0
46
47cd ${WORK_DIR} || exit 1
48# Step 1: Download the LSB Packages
49echo ""
50echo "Download LSB packages..."
51echo ""
52
53if [ ! -e ./packages_list ]
54then
55 echo "Error: Could not find packages list" >&2
56 exit 1
57fi
58
59. ./packages_list
60
61PACKAGES_DIR="/var/opt/lsb/test/manager/packages/ftp.linuxfoundation.org/pub/lsb"
62
63BASE_PACKAGES_DIR="${PACKAGES_DIR}/base/released-all/binary"
64RUNTIME_BASE_PACKAGES_DIR="${PACKAGES_DIR}/test_suites/released-all/binary/runtime"
65RUNTIME_PACKAGES_DIR="${PACKAGES_DIR}/test_suites/${LSB_RELEASE}/binary/runtime"
66APP_PACKAGES_DIR="${PACKAGES_DIR}/app-battery/${LSB_RELEASE}/${LSB_ARCH}"
67APP_TESTFILES_DIR="${PACKAGES_DIR}/app-battery/tests"
68SNAPSHOTS_TESTFILES_DIR="${PACKAGES_DIR}/snapshots/appbat/tests"
69
70if [ ! -d ${PACKAGES_DIR} ]
71then
72 mkdir -p ${PACKAGES_DIR}
73fi
74
75if [ ! -d ${BASE_PACKAGES_DIR} ]
76then
77 mkdir -p ${BASE_PACKAGES_DIR}
78fi
79
80if [ ! -d ${RUNTIME_BASE_PACKAGES_DIR} ]
81then
82 mkdir -p ${RUNTIME_BASE_PACKAGES_DIR}
83fi
84
85if [ ! -d ${RUNTIME_PACKAGES_DIR} ]
86then
87 mkdir -p ${RUNTIME_PACKAGES_DIR}
88fi
89
90if [ ! -d ${APP_PACKAGES_DIR} ]
91then
92 mkdir -p ${APP_PACKAGES_DIR}
93fi
94
95if [ ! -d ${APP_TESTFILES_DIR} ]
96then
97 mkdir -p ${APP_TESTFILES_DIR}
98fi
99
100# Official download server list. You can replace them with your own server.
101SERVER_IPADDR="140.211.169.28"
102SERVER_NAME="ftp.linuxfoundation.org"
103
104if ! `grep -F -q "${SERVER_NAME}" /etc/hosts`; then
105 echo "${SERVER_IPADDR} ${SERVER_NAME} ${SERVER_NAME}" >> /etc/hosts
106fi
107
108#ping -c 5 ${SERVER_NAME}
109#if [ $? -ne 0 ]
110#then
111# echo "The server: ${SERVER_NAME} is unreachable"
112# exit 1
113#fi
114
115SERVER1="\
116 http://${SERVER_NAME}/pub/lsb/base/released-all/binary"
117SERVER2="\
118 http://${SERVER_NAME}/pub/lsb/test_suites/released-all/binary/runtime"
119SERVER3="\
120 http://${SERVER_NAME}/pub/lsb/test_suites/${LSB_RELEASE}/binary/runtime"
121SERVER4="\
122 http://${SERVER_NAME}/pub/lsb/app-battery/${LSB_RELEASE}/${LSB_ARCH}"
123SERVER5="\
124 http://${SERVER_NAME}/pub/lsb/app-battery/tests"
125
126# We using "curl" as a download tool, "wget" is an alternative.
127CURL=`which curl`
128WGET=`which wget`
129if [ ! -z ${CURL} ]
130then
131 DOWNLOAD_CMD="${CURL} -R -L -f --retry 3 --retry-delay 4 --connect-timeout 180 --compressed -C - -o"
132elif [ ! -z ${WGET} ]
133then
134 DOWNLOAD_CMD="${WGET} -c -t 5 -O"
135else
136 echo "Can not find a download tool, please install curl or wget."
137 exit 1
138fi
139
140cd ${BASE_PACKAGES_DIR}
141for pkg in ${BASE_PACKAGES_LIST}; do
142 if [ ! -f ${pkg} ]
143 then
144 #${DOWNLOAD_CMD} ${pkg}".#part" ${SERVER1}/${pkg} > /dev/null 2>&1
145 ${DOWNLOAD_CMD} ${pkg}".#part" ${SERVER1}/${pkg}
146 if [ $? -eq 0 ]
147 then
148 mv -f ${pkg}".#part" ${pkg}
149 echo "Download ${pkg} successfully."
150 else
151 echo "Download ${pkg} failed."
152 RET=1
153 fi
154 fi
155done
156
157cd ${RUNTIME_BASE_PACKAGES_DIR}
158for pkg in ${RUNTIME_BASE_PACKAGES_LIST}; do
159 if [ ! -f ${pkg} ]
160 then
161 #${DOWNLOAD_CMD} ${pkg}".#part" ${SERVER2}/${pkg} > /dev/null 2>&1
162 ${DOWNLOAD_CMD} ${pkg}".#part" ${SERVER2}/${pkg}
163 if [ $? -eq 0 ]
164 then
165 mv -f ${pkg}".#part" ${pkg}
166 echo "Download ${pkg} successfully."
167 else
168 echo "Download ${pkg} failed."
169 RET=1
170 fi
171 fi
172done
173
174cd ${RUNTIME_PACKAGES_DIR}
175for pkg in ${RUNTIME_PACKAGES_LIST}; do
176 if [ ! -f ${pkg} ]
177 then
178 #${DOWNLOAD_CMD} ${pkg}".#part" ${SERVER3}/${pkg} > /dev/null 2>&1
179 ${DOWNLOAD_CMD} ${pkg}".#part" ${SERVER3}/${pkg}
180 if [ $? -eq 0 ]
181 then
182 mv -f ${pkg}".#part" ${pkg}
183 echo "Download ${pkg} successfully."
184 else
185 echo "Download ${pkg} failed."
186 RET=1
187 fi
188 fi
189done
190
191cd ${APP_PACKAGES_DIR}
192for pkg in ${APP_PACKAGES_LIST}; do
193 if [ ! -f ${pkg} ]
194 then
195 #${DOWNLOAD_CMD} ${pkg}".#part" ${SERVER4}/${pkg} > /dev/null 2>&1
196 ${DOWNLOAD_CMD} ${pkg}".#part" ${SERVER4}/${pkg}
197 if [ $? -eq 0 ]
198 then
199 mv -f ${pkg}".#part" ${pkg}
200 echo "Download ${pkg} successfully."
201 else
202 echo "Download ${pkg} failed."
203 RET=1
204 fi
205 fi
206done
207
208cd ${APP_TESTFILES_DIR}
209for pkg in ${APP_TESTFILES_LIST}; do
210 if [ ! -f ${pkg} ]
211 then
212 #${DOWNLOAD_CMD} ${pkg}".#part" ${SERVER5}/${pkg} > /dev/null 2>&1
213 ${DOWNLOAD_CMD} ${pkg}".#part" ${SERVER5}/${pkg}
214 if [ $? -eq 0 ]
215 then
216 mv -f ${pkg}".#part" ${pkg}
217 echo "Download ${pkg} successfully."
218 else
219 echo "Download ${pkg} failed."
220 RET=1
221 fi
222 fi
223done
224
225if [ ${RET} -ne 0 ]
226then
227 echo "Download some packages failed. Please download them again."
228 exit 1
229fi
230
231# Step 2: Install the LSB Packages
232echo ""
233echo "Install LSB packages..."
234echo ""
235
236# Kill lighttpd
237ps aux | grep "lighttpd" | grep -v -q "grep"
238if [ $? -eq 0 ]
239then
240 killall lighttpd >/dev/null 2>&1
241fi
242
243# Start avahi-daemon
244ps aux | grep "avahi-daemon" | grep -v -q "grep"
245if [ $? -ne 0 ]
246then
247 /etc/init.d/avahi-daemon start >/dev/null 2>&1
248fi
249
250LSB_START_CMD="/opt/lsb/test/manager/bin/dist-checker-start.pl"
251LSB_STOP_CMD="/opt/lsb/test/manager/bin/dist-checker-stop.pl"
252
253PLATFORM_FILE="/etc/rpm/platform"
254
255RPM_INSTALL_CMD="rpm --quiet --nodeps --replacepkgs --nosignature -i --ignoreos"
256RPM_INSTALL_CMD_NOSCRIPTS="rpm --quiet --nodeps --replacepkgs --noscripts --nosignature -i --ignoreos"
257
258# If the lsb has been started, stop it first.
259if [ -x ${LSB_STOP_CMD} ]
260then
261 ${LSB_STOP_CMD}
262fi
263
264if [ ! -d /etc/rpm ]
265then
266 mkdir -p /etc/rpm
267fi
268
269if [ ! -f ${PLATFORM_FILE} ]
270then
271 touch ${PLATFORM_FILE}
272fi
273
274if ! `grep -F -q "noarch-suse" ${PLATFORM_FILE}`; then
275 if [ ${ARCH} = i686 ];then
276 echo "i486-suse" >> ${PLATFORM_FILE}
277 echo "i486-noarch" >> ${PLATFORM_FILE}
278 echo "i486-pc" >> ${PLATFORM_FILE}
279 echo "noarch-suse" >> ${PLATFORM_FILE}
280 elif [ ${ARCH} = x86_64 ]; then
281 echo "i486-suse" >> ${PLATFORM_FILE}
282 echo "i486-noarch" >> ${PLATFORM_FILE}
283 echo "i486-pc" >> ${PLATFORM_FILE}
284 echo "i486-.*-linux.*" >> ${PLATFORM_FILE}
285 echo "noarch-suse" >> ${PLATFORM_FILE}
286 echo "${ARCH}-suse" >> ${PLATFORM_FILE}
287 echo "${ARCH}-noarch" >> ${PLATFORM_FILE}
288 echo "${ARCH}-pc" >> ${PLATFORM_FILE}
289 else
290 echo "${ARCH}-suse" >> ${PLATFORM_FILE}
291 echo "${ARCH}-noarch" >> ${PLATFORM_FILE}
292 echo "${ARCH}-pc" >> ${PLATFORM_FILE}
293 echo "noarch-suse" >> ${PLATFORM_FILE}
294 fi
295fi
296
297if [ -d ${BASE_PACKAGES_DIR} ]
298then
299 cd ${BASE_PACKAGES_DIR}
300 for pkg in ${BASE_PACKAGES_LIST}
301 do
302 rpm --quiet -q ${pkg%\.*}
303 if [ $? -ne 0 ]; then
304 $RPM_INSTALL_CMD ${pkg}
305 fi
306 done
307fi
308
309if [ -d ${RUNTIME_BASE_PACKAGES_DIR} ]
310then
311 cd ${RUNTIME_BASE_PACKAGES_DIR}
312 for pkg in ${RUNTIME_BASE_PACKAGES_LIST}
313 do
314 rpm --quiet -q ${pkg%\.*}
315 if [ $? -ne 0 ]; then
316 $RPM_INSTALL_CMD ${pkg}
317 fi
318 done
319fi
320
321if [ -d ${RUNTIME_PACKAGES_DIR} ]
322then
323 cd ${RUNTIME_PACKAGES_DIR}
324 for pkg in ${RUNTIME_PACKAGES_LIST}
325 do
326 rpm --quiet -q ${pkg%\.*}
327 if [ $? -ne 0 ]; then
328 $RPM_INSTALL_CMD ${pkg}
329 fi
330 done
331fi
332
333if [ -d ${APP_PACKAGES_DIR} ]
334then
335 cd ${APP_PACKAGES_DIR}
336 for pkg in ${APP_PACKAGES_LIST}
337 do
338 echo "${pkg}" | grep -q "apache\|xpdf"
339 if [ $? -eq 0 ]
340 then
341 rpm --quiet -q ${pkg%\.*}
342 if [ $? -ne 0 ]; then
343 $RPM_INSTALL_CMD_NOSCRIPTS ${pkg}
344 fi
345 else
346 rpm --quiet -q ${pkg%\.*}
347 if [ $? -ne 0 ]; then
348 $RPM_INSTALL_CMD ${pkg}
349 fi
350 fi
351 done
352fi
353
354if [ ! -d ${SNAPSHOTS_TESTFILES_DIR} ]
355then
356 mkdir -p ${SNAPSHOTS_TESTFILES_DIR}
357fi
358
359if [ -d ${APP_TESTFILES_DIR} ]
360then
361 cd ${APP_TESTFILES_DIR}
362 for pkg in ${APP_TESTFILES_LIST}
363 do
364 cp -f ${pkg} ${SNAPSHOTS_TESTFILES_DIR}
365 done
366fi
367
368cd ${WORK_DIR}
369
370# Step 3: Set environment
371echo ""
372echo "Set environment..."
373echo ""
374
375check ()
376{
377 if [ $? -eq 0 ]
378 then
379 echo "PASS"
380 else
381 echo "FAIL"
382 exit 1
383 fi
384}
385
386echo ""
387echo "---------------------------------"
388echo "Create the Dirnames on target"
389
390if [ ! -d /etc/rpm/sysinfo ]
391then
392 mkdir -p /etc/rpm/sysinfo
393fi
394
395cat > /etc/rpm/sysinfo/Dirnames << EOF
396/etc/opt/lsb
397/home/tet/LSB.tools
398/opt/lsb-tet3-lite/lib/ksh
399/opt/lsb-tet3-lite/lib/perl
400/opt/lsb-tet3-lite/lib/posix_sh
401/opt/lsb-tet3-lite/lib/tet3
402/opt/lsb-tet3-lite/lib/xpg3sh
403/opt/lsb/appbat/lib/python2.4/site-packages/qm
404/opt/lsb/appbat/lib/python2.4/site-packages/qm/external
405/opt/lsb/appbat/lib/python2.4/site-packages/qm/external/DocumentTemplate
406/opt/lsb/appbat/lib/python2.4/site-packages/qm/test
407/opt/lsb/appbat/lib/python2.4/site-packages/qm/test/classes
408/opt/lsb/appbat/lib/python2.4/site-packages/qm/test/web
409/opt/lsb/test/doc
410/opt/lsb/test/lib
411/opt/lsb/test/qm/diagnostics
412/opt/lsb/test/qm/doc
413/opt/lsb/test/qm/doc/test/html
414/opt/lsb/test/qm/doc/test/print
415/opt/lsb/test/qm/dtml
416/opt/lsb/test/qm/dtml/test
417/opt/lsb/test/qm/messages/test
418/opt/lsb/test/qm/tutorial/test/tdb
419/opt/lsb/test/qm/tutorial/test/tdb/QMTest
420/opt/lsb/test/qm/web
421/opt/lsb/test/qm/web/images
422/opt/lsb/test/qm/web/stylesheets
423/opt/lsb/test/qm/xml
424/opt/lsb/test/share
425/usr/share/doc/lsb-runtime-test
426/var/opt/lsb
427/opt/lsb/test/desktop
428/opt/lsb/test/desktop/fontconfig
429/opt/lsb/test/desktop/freetype
430/opt/lsb/test/desktop/gtkvts
431/opt/lsb/test/desktop/libpng
432/opt/lsb/test/desktop/xft
433/opt/lsb/test/desktop/xml
434/opt/lsb/test/desktop/xrender
435
436
437EOF
438
439if [ -f /etc/rpm/sysinfo/Dirnames ]
440then
441 echo "Success to creat Dirnames file"
442else
443 echo "Fail to creat Dirnames file"
444fi
445
446[ -x /sbin/ldconfig ] && {
447echo ""
448echo "---------------------------------"
449echo "Update cache"
450/sbin/ldconfig
451check;
452}
453
454# Check loop device
455if [ ! -b /dev/loop0 ]
456then
457 insmod /lib/modules/`uname -r`/kernel/drivers/block/loop.ko
458 if [ $? != 0 ];then
459 echo "Insmod loop.ko failed."
460 fi
461fi
462
463# Resolve localhost
464LOCALHOST=`hostname`
465if ! `grep -F -q "$LOCALHOST" /etc/hosts`; then
466 echo "127.0.0.1 $LOCALHOST" >> /etc/hosts
467fi
468
469# Workaround to add part of locales for LSB test
470localedef -i de_DE -f ISO-8859-1 de_DE
471localedef -i de_DE -f ISO-8859-15 de_DE.ISO-8859-15
472localedef -i de_DE -f UTF-8 de_DE.UTF-8
473localedef -i de_DE@euro -f ISO-8859-15 de_DE@euro
474localedef -i en_HK -f ISO-8859-1 en_HK
475localedef -i en_PH -f ISO-8859-1 en_PH
476localedef -i en_US -f ISO-8859-15 en_US.ISO-8859-15
477localedef -i en_US -f ISO-8859-1 en_US.ISO-8859-1
478localedef -i en_US -f ISO-8859-1 en_US
479localedef -i en_US -f UTF-8 en_US.UTF-8
480localedef -i en_US -f ISO-8859-1 en_US.ISO8859-1
481localedef -i es_MX -f ISO-8859-1 es_MX
482localedef -i fr_FR -f ISO-8859-1 fr_FR
483localedef -i it_IT -f ISO-8859-1 it_IT
484localedef -i ja_JP -f EUC-JP ja_JP.eucjp
485localedef -i se_NO -f UTF-8 se_NO.UTF-8
486localedef -i ta_IN -f UTF-8 ta_IN
487localedef -i es_ES -f ISO-8859-1 es_ES
488localedef -i fr_FR@euro -f ISO-8859-1 fr_FR@euro
489localedef -i is_IS -f UTF-8 is_IS.UTF-8
490localedef -i zh_TW -f BIG5 zh_TW.BIG5
491localedef -i en_US -f ISO-8859-15 en_US.ISO-8859-15
492
493echo ""
494echo "Installation done!"
495echo ""
496
497# Step 4: Start LSB test
498if [ -x ${LSB_START_CMD} ]
499then
500 ${LSB_START_CMD}
501fi
502
503echo "---------------------------------"
504echo "Run all the certification version of LSB Tests"
505echo "---------------------------------"
506
507LSB_DIST_CHECKER="/opt/lsb/test/manager/utils/dist-checker.pl"
508SESSION="${WORK_DIR}/session"
509if [ ! -e ${SESSION} ]
510then
511 echo "Error: Could not find session file."
512 echo "You must run LSB test from webbrower."
513 exit 1
514fi
515
516if [ -x ${LSB_DIST_CHECKER} ]
517then
518 ${LSB_DIST_CHECKER} -v2 -f ${SESSION}
519 check
520fi
521
522echo ""
523echo "LSB test complete. Please check the log file in /var/opt/lsb/test/manager/results/"
524echo ""
525
diff --git a/meta/recipes-extended/lsb/lsbtest/packages_list b/meta/recipes-extended/lsb/lsbtest/packages_list
deleted file mode 100644
index 1a6c11699a..0000000000
--- a/meta/recipes-extended/lsb/lsbtest/packages_list
+++ /dev/null
@@ -1,49 +0,0 @@
1LSB_RELEASE="released-5.0"
2LSB_ARCH="lsbarch"
3
4BASE_PACKAGES_LIST="lsb-setup-5.0.0-2.noarch.rpm"
5
6RUNTIME_BASE_PACKAGES_LIST="lsb-dist-checker-5.0.0.1-1.targetarch.rpm \
7 lsb-tet3-lite-3.7-27.lsb5.targetarch.rpm \
8 lsb-tet3-lite-devel-3.7-27.lsb5.targetarch.rpm \
9 lsb-xvfb-1.2.0-22.targetarch.rpm \
10 "
11
12RUNTIME_PACKAGES_LIST="lsb-cmdchk-5.0.3-1.targetarch.rpm \
13 lsb-libchk-5.0.3-1.targetarch.rpm \
14 lsb-qm-2.2-1.lsb5.targetarch.rpm \
15 lsb-task-dist-testkit-5.0.0-2.noarch.rpm \
16 lsb-test-core-5.0.1-1.targetarch.rpm \
17 lsb-test-cpp-t2c-5.0.0-1.targetarch.rpm \
18 lsb-test-desktop-5.0.0-1.targetarch.rpm \
19 lsb-test-desktop-t2c-5.0.0-1.targetarch.rpm \
20 lsb-test-libstdcpp-4.1.0-22.lsb1.targetarch.rpm \
21 lsb-test-olver-core-5.0.0-1.targetarch.rpm \
22 lsb-test-perl-5.0.2-1.noarch.rpm \
23 lsb-test-printing-5.0.1-1.targetarch.rpm \
24 lsb-test-python-5.0.0-1.targetarch.rpm \
25 lsb-test-qt4-azov-5.0.0-1.targetarch.rpm \
26 lsb-test-xts5-5.1.5-47.lsb5.targetarch.rpm \
27 lsb-test-alsa-t2c-5.1.91-4.targetarch.rpm \
28 lsb-test-core-t2c-5.0.1-1.targetarch.rpm \
29 lsb-test-xml2-azov-5.0.0-1.targetarch.rpm \
30 "
31
32APP_PACKAGES_LIST="lsb-python-2.4.6-10.lsb5.targetarch.rpm \
33 lsb-apache-2.2.19-5.lsb5.targetarch.rpm \
34 lsb-tcl-8.5.9-21.lsb5.targetarch.rpm \
35 lsb-expect-5.43.0-21.lsb5.targetarch.rpm \
36 lsb-groff-1.20.1-9.lsb5.targetarch.rpm \
37 lsb-raptor-1.4.21-4.lsb5.targetarch.rpm \
38 lsb-xpdf-1.01-17.lsb5.targetarch.rpm \
39 lsb-samba-3.5.9-5.lsb5.targetarch.rpm \
40 lsb-rsync-3.0.8-3.lsb5.targetarch.rpm \
41 "
42
43APP_TESTFILES_LIST="expect-tests.tar \
44 tcl-tests.tar \
45 raptor-tests.tar \
46 test1.pdf \
47 test2.pdf \
48 "
49
diff --git a/meta/recipes-extended/lsb/lsbtest/session b/meta/recipes-extended/lsb/lsbtest/session
deleted file mode 100644
index 4d47e40f7d..0000000000
--- a/meta/recipes-extended/lsb/lsbtest/session
+++ /dev/null
@@ -1,176 +0,0 @@
1[GENERAL]
2VERBOSE_LEVEL: 1
3ARCHITECTURE: targetarch
4USE_INTERNET: 1
5STD_VERSION: LSB 5.0
6STD_PROFILE: no
7[cmdchk]
8RUN: 1
9VERSION: local|*
10
11[libchk]
12RUN: 1
13VERSION: local|*
14
15[alsa-t2c]
16RUN: 1
17VERSION: local|*
18
19[alsa-t2c|local|*]
20AUTOREPLY_TESTSUITE_DIR: /opt/lsb/test/alsa-t2c
21AUTOREPLY_RESULTS_DIR: /opt/lsb/test/alsa-t2c/results
22
23[core]
24RUN: 1
25VERSION: local|*
26
27[core|local|*]
28AUTOREPLY_PROVIDES_BASH: n
29AUTOREPLY_TESTRUN_PATH: /home/tet/test_sets
30AUTOREPLY_PERSON: Automated
31AUTOREPLY_KERNEL_NAME: vmlinuz
32AUTOREPLY_INSTALL_LSBPAM_CONF: y
33AUTOREPLY_PROVIDES_C_SHELL: n
34AUTOREPLY_ORGANISATION: N/A
35AUTOREPLY_SET_PASS_MIN_DAYS: y
36AUTOREPLY_PROVIDES_SYSV_INIT:
37AUTOREPLY_ISNTALL_DEVS: y
38AUTOREPLY_SUPPORTS_FILE_CMD: y
39AUTOREPLY_TEST_SYSTEM: Distribution Checker
40AUTOREPLY_TESTSUITE_DIR: /opt/lsb/test/core/tet/test_sets
41AUTOREPLY_SUPPORTS_NLS: n
42AUTOREPLY_SUPPORTS_PROCESS_ACCOUNTING: n
43AUTOREPLY_PATH_TO_RC.D:
44AUTOREPLY_ALLOWS_MAKEDEV: n
45AUTOREPLY_RESULTS_DIR: /opt/lsb/test/core/tet/test_sets/results
46
47[core-t2c]
48RUN: 1
49VERSION: local|*
50
51[core-t2c|local|*]
52AUTOREPLY_TESTSUITE_DIR: /opt/lsb/test/core-t2c
53AUTOREPLY_RESULTS_DIR: /opt/lsb/test/core-t2c/results
54
55[cpp-t2c]
56RUN: 1
57VERSION: local|*
58
59[cpp-t2c|local|*]
60AUTOREPLY_TESTSUITE_DIR: /opt/lsb/test/cpp-t2c
61AUTOREPLY_RESULTS_DIR: /opt/lsb/test/cpp-t2c/results
62
63[desktop]
64RUN: 1
65VERSION: local|*
66
67[desktop|local|*]
68AUTOREPLY_DESKTOP_ENVIRONMENT: [default]
69AUTOREPLY_PERSON: Automated
70AUTOREPLY_X_CLIENT_HOSTNAME:
71AUTOREPLY_TEST_SYSTEM: Distribution Checker
72AUTOREPLY_TESTSUITE_DIR: /opt/lsb/test/desktop
73AUTOREPLY_X11_FONT_PATH: [default]
74AUTOREPLY_SHOW_SUMMARY_REPORT:
75AUTOREPLY_ORGANISATION: N/A
76AUTOREPLY_XVFB_DISPLAY: [default]
77
78[desktop-t2c]
79RUN: 1
80VERSION: local|*
81
82[desktop-t2c|local|*]
83AUTOREPLY_TESTSUITE_DIR: /opt/lsb/test/desktop-t2c
84AUTOREPLY_RESULTS_DIR: /opt/lsb/test/desktop-t2c/results
85
86[libstdcpp]
87RUN: 1
88VERSION: local|*
89
90[libstdcpp|local|*]
91AUTOREPLY_TEST_SYSTEM: Distribution Checker
92AUTOREPLY_PERSON: Automated
93AUTOREPLY_TESTSUITE_DIR: /opt/lsb/test/libstdcpp_4.1.0
94AUTOREPLY_ORGANISATION: N/A
95AUTOREPLY_GNU_TRIPLET:
96
97[olver]
98RUN: 1
99VERSION: local|*
100
101[olver|local|*]
102AUTOREPLY_TESTSUITE_DIR: /opt/lsb/test/olver-core
103AUTOREPLY_RESULTS_DIR: /var/opt/lsb/test/olver-core
104
105[perl]
106RUN: 1
107VERSION: local|*
108
109[perl|local|*]
110AUTOREPLY_TESTSUITE_DIR: /opt/lsb/test/perl
111AUTOREPLY_RESULTS_DIR: /opt/lsb/test/perl/results
112
113[printing]
114RUN: 1
115VERSION: local|*
116
117[printing|local|*]
118AUTOREPLY_TESTSUITE_DIR: /opt/lsb/test/printing
119AUTOREPLY_RESULTS_DIR: /opt/lsb/test/printing/results
120
121[python]
122RUN: 1
123VERSION: local|*
124
125[python|local|*]
126AUTOREPLY_TESTSUITE_DIR: /opt/lsb/test/python
127AUTOREPLY_RESULTS_DIR: /opt/lsb/test/python/results
128
129[xml2-azov]
130RUN: 1
131VERSION: local|*
132
133[xts5]
134RUN: 1
135VERSION: local|*
136
137[xts5|local|*]
138AUTOREPLY_XT_FONTPATH_GOOD: [default]
139AUTOREPLY_TESTSUITE_DIR: /opt/lsb/test/xts5
140AUTOREPLY_XVFB_DISPLAY: [default]
141AUTOREPLY_RESULTS_DIR: /opt/lsb/test/xts5/xts5/results
142AUTOREPLY_XT_FONTPATH: [default]
143AUTOREPLY_X_CLIENT_HOSTNAME:
144
145[apache]
146RUN: 1
147VERSION: local|*
148
149[expect]
150RUN: 1
151VERSION: local|*
152
153[groff]
154RUN: 1
155VERSION: local|*
156
157[raptor]
158RUN: 1
159VERSION: local|*
160
161[rsync]
162RUN: 1
163VERSION: local|*
164
165[samba]
166RUN: 1
167VERSION: local|*
168
169[tcl]
170RUN: 1
171VERSION: local|*
172
173[xpdf]
174RUN: 1
175VERSION: local|*
176
diff --git a/meta/recipes-extended/lsb/lsbtest_1.0.bb b/meta/recipes-extended/lsb/lsbtest_1.0.bb
deleted file mode 100644
index a90c023d52..0000000000
--- a/meta/recipes-extended/lsb/lsbtest_1.0.bb
+++ /dev/null
@@ -1,49 +0,0 @@
1SUMMARY = "Automates Linux Standard Base (LSB) tests"
2HOMEPAGE = "https://wiki.debian.org/LSBInitScripts"
3SECTION = "console/utils"
4LICENSE = "GPLv2"
5PR = "r3"
6
7LIC_FILES_CHKSUM = "file://LSB_Test.sh;beginline=3;endline=16;md5=7063bb54b04719df0716b513447f4fc0"
8
9SRC_URI = "file://LSB_Test.sh \
10 file://packages_list \
11 file://session \
12 "
13RDEPENDS_${PN} = "lsb rpm"
14
15S = "${WORKDIR}"
16
17do_install() {
18 install -d ${D}/opt/lsb-test
19 install -m 0755 ${S}/LSB_Test.sh ${D}/opt/lsb-test/LSB_Test.sh
20 install -m 0644 ${S}/packages_list ${D}/opt/lsb-test/packages_list
21 install -m 0644 ${S}/session ${D}/opt/lsb-test/session
22 if [ "${TARGET_ARCH}" = "i586" ] || [ "${TARGET_ARCH}" = "i686" ];then
23 sed -i -e 's/lsbarch/ia32/g' -e 's/targetarch/i486/g' ${D}/opt/lsb-test/packages_list
24 sed -i -e 's/targetarch/x86/g' ${D}/opt/lsb-test/session
25 fi
26 if [ "${TARGET_ARCH}" = "x86_64" ];then
27 sed -i -e 's/lsbarch/amd64/g' -e 's/targetarch/x86_64/g' ${D}/opt/lsb-test/packages_list
28 sed -i -e 's/targetarch/x86-64/g' ${D}/opt/lsb-test/session
29 fi
30 if [ "${TARGET_ARCH}" = "powerpc" ];then
31 sed -i -e 's/lsbarch/ppc32/g' -e 's/targetarch/ppc/g' ${D}/opt/lsb-test/packages_list
32 sed -i -e 's/targetarch/PPC32/g' ${D}/opt/lsb-test/session
33 fi
34
35 # For a ppc64 target. the default userspace is 32b.
36 # Therefore, only change the lsbarch and targetarch
37 # in the package_list when MLIB=lib64 is being used.
38 # Otherwise, by default, the ppc32 LSB packages
39 # will be downloaded by LSB_Test.sh
40 if [ "${TARGET_ARCH}" = "powerpc64" ];then
41 if [ "${PN}" != "${BPN}" ];then
42 sed -i -e 's/lsbarch/ppc64/g' -e 's/targetarch/ppc64/g' ${D}/opt/lsb-test/packages_list
43 sed -i -e 's/targetarch/PPC64/g' ${D}/opt/lsb-test/session
44 fi
45 fi
46}
47
48FILES_${PN} += "/opt/lsb-test/* \
49 "
diff --git a/meta/recipes-extended/packagegroups/packagegroup-core-lsb.bb b/meta/recipes-extended/packagegroups/packagegroup-core-lsb.bb
deleted file mode 100644
index a821fd8bf3..0000000000
--- a/meta/recipes-extended/packagegroups/packagegroup-core-lsb.bb
+++ /dev/null
@@ -1,240 +0,0 @@
1#
2# Copyright (C) 2010 Intel Corporation
3#
4
5SUMMARY = "Linux Standard Base (LSB)"
6DESCRIPTION = "Packages required to satisfy the Linux Standard Base (LSB) specification"
7PR = "r10"
8
9inherit packagegroup distro_features_check
10
11# The libxt, libxtst and others require x11 in DISTRO_FEATURES
12REQUIRED_DISTRO_FEATURES = "x11"
13
14# libglu needs virtual/libgl, which requires opengl in DISTRO_FEATURES
15REQUIRED_DISTRO_FEATURES += "opengl"
16
17# libpam, pam-plugin-wheel requires pam in DISTRO_FEATURES
18REQUIRED_DISTRO_FEATURES += "pam"
19
20#
21# We will skip parsing this packagegeoup for non-glibc systems
22#
23python __anonymous () {
24 if d.getVar('TCLIBC') != "glibc":
25 raise bb.parse.SkipRecipe("incompatible with %s C library" %
26 d.getVar('TCLIBC'))
27}
28
29PACKAGES = "\
30 packagegroup-core-lsb \
31 packagegroup-core-sys-extended \
32 packagegroup-core-db \
33 packagegroup-core-perl \
34 packagegroup-core-python \
35 packagegroup-core-tcl \
36 packagegroup-core-lsb-misc \
37 packagegroup-core-lsb-core \
38 packagegroup-core-lsb-perl \
39 packagegroup-core-lsb-python \
40 packagegroup-core-lsb-desktop \
41 packagegroup-core-lsb-runtime-add \
42 "
43
44
45RDEPENDS_packagegroup-core-lsb = "\
46 packagegroup-core-sys-extended \
47 packagegroup-core-db \
48 packagegroup-core-perl \
49 packagegroup-core-python \
50 packagegroup-core-tcl \
51 packagegroup-core-lsb-misc \
52 packagegroup-core-lsb-core \
53 packagegroup-core-lsb-perl \
54 packagegroup-core-lsb-python \
55 packagegroup-core-lsb-desktop \
56 packagegroup-core-lsb-runtime-add \
57 "
58
59
60RDEPENDS_packagegroup-core-sys-extended = "\
61 curl \
62 dhcp-client \
63 hdparm \
64 lighttpd \
65 libaio \
66 lrzsz \
67 lzo \
68 mc \
69 mc-fish \
70 mc-helpers \
71 mc-helpers-perl \
72 mdadm \
73 minicom \
74 parted \
75 quota \
76 screen \
77 setserial \
78 sysstat \
79 ${@bb.utils.contains('DISTRO_FEATURES', 'systemd', '', 'udev-extraconf', d)} \
80 unzip \
81 watchdog \
82 wget \
83 which \
84 xinetd \
85 zip \
86 "
87
88RDEPENDS_packagegroup-core-db = "\
89 db \
90 sqlite3 \
91 "
92
93RDEPENDS_packagegroup-core-perl = "\
94 gdbm \
95 perl \
96 zlib \
97 "
98
99
100RDEPENDS_packagegroup-core-python = "\
101 expat \
102 gdbm \
103 gmp \
104 ncurses \
105 openssl \
106 python \
107 readline \
108 zip \
109 "
110
111RDEPENDS_packagegroup-core-tcl = "\
112 tcl \
113 "
114
115# Miscellaneous packages required by LSB (or LSB tests)
116RDEPENDS_packagegroup-core-lsb-misc = "\
117 chkconfig \
118 gettext \
119 gettext-runtime \
120 groff \
121 lsbinitscripts \
122 lsbtest \
123 lsof \
124 strace \
125 libusb1 \
126 usbutils \
127 rpm \
128 "
129
130SUMMARY_packagegroup-core-lsb-core = "LSB Core"
131DESCRIPTION_packagegroup-core-lsb-core = "Packages required to support commands/libraries \
132 specified in the LSB Core specification"
133RDEPENDS_packagegroup-core-lsb-core = "\
134 at \
135 bash \
136 bc \
137 binutils \
138 binutils-symlinks \
139 bzip2 \
140 coreutils \
141 cpio \
142 cronie \
143 cups \
144 diffutils \
145 ed \
146 glibc-utils \
147 elfutils \
148 file \
149 findutils \
150 fontconfig-utils \
151 foomatic-filters \
152 gawk \
153 ghostscript \
154 grep \
155 gzip \
156 localedef \
157 lsb \
158 m4 \
159 make \
160 man \
161 man-pages \
162 msmtp \
163 patch \
164 procps \
165 psmisc \
166 sed \
167 shadow \
168 tar \
169 time \
170 util-linux \
171 xdg-utils \
172 \
173 glibc \
174 libgcc \
175 libpam \
176 libxml2 \
177 ncurses \
178 zlib \
179 nspr \
180 nss \
181"
182
183SUMMARY_packagegroup-core-lsb-perl = "LSB Runtime Languages (Perl)"
184DESCRIPTION_packagegroup-core-lsb-perl = "Packages required to support libraries \
185 specified in the LSB Runtime languages specification (Perl parts)"
186RDEPENDS_packagegroup-core-lsb-perl = "\
187 perl \
188 perl-modules \
189 perl-misc \
190 perl-pod \
191 perl-dev \
192 perl-doc \
193"
194
195SUMMARY_packagegroup-core-lsb-python = "LSB Runtime Languages (Python)"
196DESCRIPTION_packagegroup-core-lsb-python = "Packages required to support libraries \
197 specified in the LSB Runtime languages specification (Python parts)"
198RDEPENDS_packagegroup-core-lsb-python = "\
199 python \
200 python-modules \
201 python-misc \
202"
203
204SUMMARY_packagegroup-core-lsb-desktop = "LSB Desktop"
205DESCRIPTION_packagegroup-core-lsb-desktop = "Packages required to support libraries \
206 specified in the LSB Desktop specification"
207RDEPENDS_packagegroup-core-lsb-desktop = "\
208 libxt \
209 libxxf86vm \
210 libdrm \
211 libglu \
212 libxi \
213 libxtst \
214 libx11-locale \
215 xorg-minimal-fonts \
216 gdk-pixbuf-loader-ico \
217 gdk-pixbuf-loader-bmp \
218 gdk-pixbuf-loader-ani \
219 gdk-pixbuf-xlib \
220 liberation-fonts \
221 alsa-lib \
222"
223
224RDEPENDS_packagegroup-core-lsb-runtime-add = "\
225 ldd \
226 pam-plugin-wheel \
227 e2fsprogs-mke2fs \
228 mkfontdir \
229 liburi-perl \
230 libxml-parser-perl \
231 libxml-perl \
232 libxml-sax-perl \
233 glibc-localedatas \
234 glibc-gconvs \
235 glibc-charmaps \
236 glibc-binaries \
237 glibc-localedata-posix \
238 glibc-extra-nss \
239 glibc-pcprofile \
240"
diff --git a/meta/recipes.txt b/meta/recipes.txt
index 2439357876..fb2c25014d 100644
--- a/meta/recipes.txt
+++ b/meta/recipes.txt
@@ -3,7 +3,7 @@ recipes-connectivity - Libraries and applications related to communication with
3recipes-core - What's needed to build a basic working Linux image including commonly used dependencies 3recipes-core - What's needed to build a basic working Linux image including commonly used dependencies
4recipes-devtools - Tools primarily used by the build system (but can also be used on targets) 4recipes-devtools - Tools primarily used by the build system (but can also be used on targets)
5recipes-extended - Applications which whilst not essential add features compared to the alternatives in 5recipes-extended - Applications which whilst not essential add features compared to the alternatives in
6 core. May be needed for full tool functionality or LSB compliance. 6 core. May be needed for full tool functionality.
7recipes-gnome - All things related to the GTK+ application framework 7recipes-gnome - All things related to the GTK+ application framework
8recipes-graphics - X and other graphically related system libraries 8recipes-graphics - X and other graphically related system libraries
9recipes-kernel - The kernel and generic applications/libraries with strong kernel dependencies 9recipes-kernel - The kernel and generic applications/libraries with strong kernel dependencies